package com.qmth.qrzk.repository.pager.model;

public class SkelCfg {
	private Integer id;
	private Integer courseId;
	private Double ability1Percent;
	private Double ability2Percent;
	private Double ability3Percent;
	private Double ability4Percent;
	private Double abilityOffset;
	
	private Double estimateDifficulty1Percent;
	private Double estimateDifficulty2Percent;
	private Double estimateDifficulty3Percent;
	private Double estimateDifficulty4Percent;
	private Double estimateDifficultyOffset;
	
	private String guid;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCourseId() {
		return courseId;
	}

	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}

	public Double getAbility1Percent() {
		return ability1Percent;
	}

	public void setAbility1Percent(Double ability1Percent) {
		this.ability1Percent = ability1Percent;
	}

	public Double getAbility2Percent() {
		return ability2Percent;
	}

	public void setAbility2Percent(Double ability2Percent) {
		this.ability2Percent = ability2Percent;
	}

	public Double getAbility3Percent() {
		return ability3Percent;
	}

	public void setAbility3Percent(Double ability3Percent) {
		this.ability3Percent = ability3Percent;
	}

	public Double getAbility4Percent() {
		return ability4Percent;
	}

	public void setAbility4Percent(Double ability4Percent) {
		this.ability4Percent = ability4Percent;
	}

	public Double getAbilityOffset() {
		return abilityOffset;
	}

	public void setAbilityOffset(Double abilityOffset) {
		this.abilityOffset = abilityOffset;
	}

	public Double getEstimateDifficulty1Percent() {
		return estimateDifficulty1Percent;
	}

	public void setEstimateDifficulty1Percent(Double estimateDifficulty1Percent) {
		this.estimateDifficulty1Percent = estimateDifficulty1Percent;
	}

	public Double getEstimateDifficulty2Percent() {
		return estimateDifficulty2Percent;
	}

	public void setEstimateDifficulty2Percent(Double estimateDifficulty2Percent) {
		this.estimateDifficulty2Percent = estimateDifficulty2Percent;
	}

	public Double getEstimateDifficulty3Percent() {
		return estimateDifficulty3Percent;
	}

	public void setEstimateDifficulty3Percent(Double estimateDifficulty3Percent) {
		this.estimateDifficulty3Percent = estimateDifficulty3Percent;
	}

	public Double getEstimateDifficulty4Percent() {
		return estimateDifficulty4Percent;
	}

	public void setEstimateDifficulty4Percent(Double estimateDifficulty4Percent) {
		this.estimateDifficulty4Percent = estimateDifficulty4Percent;
	}

	public Double getEstimateDifficultyOffset() {
		return estimateDifficultyOffset;
	}

	public void setEstimateDifficultyOffset(Double estimateDifficultyOffset) {
		this.estimateDifficultyOffset = estimateDifficultyOffset;
	}

	public String getGuid() {
		return guid;
	}

	public void setGuid(String guid) {
		this.guid = guid;
	}

}
